import os.path
import filecmp
import subprocess
import time


def fetch_output(remote, remote_file_path, file_path, wait_time, max_counter): 
    counter = 0
    while counter < max_counter:
        remote.get(remote_file_path, local=file_path)
        if os.path.exists(file_path + ".old") and filecmp.cmp(file_path, file_path + ".old"):
            counter += 1
            print("No update seen on output.log | Counter: " + str(counter))
            time.sleep(wait_time)
        else:
            counter = 0
            subprocess.run(["cp", file_path, file_path + ".old"])
            return True
    print("Max counter reached. Finishing plot...")
    return False

            
        